#!/nfs/public/bin/sybperl
#
# Program:  hdopen.pl      Description:  Display selection list of
#                                        support personnel, then call
#                                        hdopen1.pl
#
# This is part of the Helpdesk Management System written by Mark Mellman.
#
# Date last revision: 08/16/96   Version: 2.00

require "helpdesk.inc";

########################################################
#  Build select list with support personnel names
########################################################

sub get_owner {
  &helpdesk_login;
  $str="select * from Owner";
  &dbcmd($dbproc, $str);
  &dbresults($dbproc);
  &dbsqlexec ($dbproc);
  $cnt=1;
  if(&dbresults($dbproc)==&SUCCEED) {
    while(@data=&dbnextrow($dbproc)) {
      $supid[$cnt]=$data[0];
      $supnam[$cnt]=$data[1];
      $supema[$cnt]=$data[2];
      $cnt=$cnt+1;
    }
  }
  $cnt=$cnt-1;
}

##################################################################
#  Display Web page with selection list of support personnel
##################################################################

print "Content-type: text/html\n\n
<head>
<title>Systems Help Desk Open Ticket Report</title>
</head>
<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#CC0000\" alink=\"#FF3300\" vlink=\"#330099\">
<center>
<h2>Systems Help Desk Open Ticket Report</h2>
</center>
<font size=2>Comments, questions, suggestions, problems should be directed
to <a href=\"mailto:$WEBMSTR\">$WEBMSTR</a> 
<hr>
<form METHOD=\"get\" ACTION=\"$CGIDIR/hdopen1.pl\">
Enter Ticket Owner to Report on: <select name=\"owner\">
<option value=\"unassigned\">Unassigned
";
&get_owner;
for($i=1; $i<$cnt+1; ++$i) {
  printf "<option value=\"%s\">%s\n",$supid[$i],$supnam[$i];
}
print "</select>
<br>
<br>
<br>
<br>
<br>
<center><input type=\"submit\" value = \"Submit\"></center>
</form>
</body>
";
